> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/subscription.md).

# Subscription

| Name                         | Type                                                                                                | Description                                              |
| ---------------------------- | --------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| account                      | [Account](/developer/api-reference/types/account.md)                                                |                                                          |
| accountId                    | ID                                                                                                  |                                                          |
| addonSubscriptions           | List ([Subscription](/developer/api-reference/types/subscription.md))                               | Addon subscriptions for the subscription                 |
| cancellationDate             | ISO8601Date                                                                                         |                                                          |
| chargeReport                 | List ([SubscriptionCharge](/developer/api-reference/types/subscriptioncharge.md))                   |                                                          |
| charges                      | List ([SubscriptionCharge](/developer/api-reference/types/subscriptioncharge.md))                   |                                                          |
| createdAt                    | ISO8601DateTime                                                                                     |                                                          |
| currencyId                   | ID                                                                                                  |                                                          |
| currentCharges               | List ([SubscriptionCharge](/developer/api-reference/types/subscriptioncharge.md))                   |                                                          |
| currentPeriod                | String                                                                                              | Formatted period showing start and end dates             |
| customFieldDefinitions       | List ([CustomField](/developer/api-reference/types/customfield.md))                                 | Custom field definitions for this object type            |
| customFieldsData             | JSON                                                                                                | All custom field values for this object as a JSON object |
| daysLeftInTrial              | Int                                                                                                 |                                                          |
| endDate                      | ISO8601Date                                                                                         |                                                          |
| evergreen                    | Boolean                                                                                             |                                                          |
| hasCustomFields              | Boolean                                                                                             | Whether this object type has any custom fields defined   |
| id                           | ID                                                                                                  |                                                          |
| licenseInstances             | List ([SubscriptionLicenseInstance](/developer/api-reference/types/subscriptionlicenseinstance.md)) | Observed instances for this subscription                 |
| licenseKey                   | String                                                                                              | UUID license key for SDK-based license validation        |
| name                         | String                                                                                              |                                                          |
| period                       | String                                                                                              |                                                          |
| plan                         | [Plan](/developer/api-reference/types/plan.md)                                                      |                                                          |
| priceAdjustmentAction        | [PriceAdjustmentAction](/developer/api-reference/enums.md#priceadjustmentaction)                    |                                                          |
| priceAdjustmentActionOptions | List (String)                                                                                       |                                                          |
| priceAdjustmentAllowed       | Boolean                                                                                             |                                                          |
| priceAdjustmentLastDate      | ISO8601Date                                                                                         |                                                          |
| priceAdjustmentPercentage    | Float                                                                                               |                                                          |
| priceAdjustmentTiming        | [PriceAdjustmentTiming](/developer/api-reference/enums.md#priceadjustmenttiming)                    |                                                          |
| priceAdjustmentTimingOptions | List (String)                                                                                       |                                                          |
| priceList                    | [PriceList](/developer/api-reference/types/pricelist.md)                                            |                                                          |
| priceListId                  | ID                                                                                                  |                                                          |
| product                      | [Product](/developer/api-reference/types/product.md)                                                |                                                          |
| provisioningRequired         | Boolean                                                                                             |                                                          |
| rampIntervalMonths           | Int                                                                                                 |                                                          |
| renewalSummary               | String                                                                                              | Description of the renwal settings                       |
| renewalTermMonths            | Int                                                                                                 | Number of months for the renewal term                    |
| renewalTermMonthsOptions     | List ([RenewalTermOption](/developer/api-reference/types/renewaltermoption.md))                     |                                                          |
| startDate                    | ISO8601Date                                                                                         |                                                          |
| state                        | [SubscriptionState](/developer/api-reference/enums.md#subscriptionstate)                            |                                                          |
| tenant                       | [Tenant](/developer/api-reference/types/tenant.md)                                                  |                                                          |
| trialEndDate                 | ISO8601Date                                                                                         |                                                          |
| trialExpirationAction        | [TrialExpirationAction](/developer/api-reference/enums.md#trialexpirationaction)                    |                                                          |
| trialPeriod                  | String                                                                                              |                                                          |
| trialStartDate               | ISO8601Date                                                                                         |                                                          |
| updatedAt                    | ISO8601DateTime                                                                                     |                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/subscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
